Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055677 - Cannot retrieve metalink for repository
Summary: Cannot retrieve metalink for repository
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 20
Hardware: i686
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 18:29 UTC by Jean-Charles Malahieude
Modified: 2015-06-30 00:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:51:41 UTC


Attachments (Terms of Use)

Description Jean-Charles Malahieude 2014-01-20 18:29:02 UTC
Description of problem:
Incomplete update.

Version-Release number of selected component (if applicable):
# yum --version
3.4.3
  Installés : rpm-4.11.1-7.fc20.i686 à 2013-12-27 11:05
  Compilé   : Fedora Project à 2013-09-09 12:13
  Commité   : Matilainen <pmatilai@redhat.com> à 2013-09-09

  Installés : yum-3.4.3-129.fc20.noarch à 2014-01-11 16:49
  Compilé   : Fedora Project à 2014-01-09 14:21
  Commité   : Valentina Mukhamedzhanova <vmukhame@redhat.com> à 2014-01-07

  Installés : yum-3.4.3-130.fc20.noarch à 2014-01-19 17:56
  Compilé   : Fedora Project à 2014-01-15 11:00
  Commité   : Zdenek Pavlas <zpavlas@redhat.com> à 2014-01-15


How reproducible:
# yum update

Actual results:
Modules complémentaires chargés : langpacks, refresh-packagekit
MesRPM                                                   | 2.9 kB     00:00     
adobe-linux-i386                                         |  951 B     00:00     


 One of the configured repositories failed (Inconnu),
 and yum doesn't have enough cached data to continue. At this point the only
 safe thing yum can do is fail. There are a few ways to work "fix" this:
[…]
Cannot retrieve metalink for repository: fedora/20/i386. Please verify its path and try again



Expected results:
Retrieve metalink!

Additional info:
# yum clean all
Modules complémentaires chargés : langpacks, refresh-packagekit
Nettoyage des dépôts : MesRPM adobe-linux-i386 fedora rpmfusion-free
                     : rpmfusion-free-updates rpmfusion-nonfree
                     : rpmfusion-nonfree-updates updates virtualbox
Cleaning up everything

# uname -a
Linux localhost.localdomain 3.12.7-300.fc20.i686+PAE #1 SMP Fri Jan 10 16:10:11 UTC 2014 i686 i686 i386 GNU/Linux

Comment 1 Zdeněk Pavlas 2014-01-21 09:45:32 UTC
> Cannot retrieve metalink for repository: fedora/20/i386

"metalink" is the very first file Yum attempts to download when updating a repository, this can't be fixed by "yum clean". Probably your network is down, or mirrors.fedoraproject.org was too busy to respond timely.  Please try again after few minutes.

Note: using "yum clean all" is almost never a good idea.  In cases like this, Yum can't revert to the old metadata.  Using "yum makecache" to force an immediate update is much better as it does not drop the current data.

The error message above should contain the underlying curl error message, will try to fix this.

Comment 2 Fedora End Of Life 2015-05-29 10:35:41 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-30 00:51:41 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.